package com.gic.haoban.manage.service.dao.mapper.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 *
 * @author mozhu
 * @since 2022-09-06 16:35:10
 */
public interface TabHaobanMenuMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param menuCode 主键
     * @return 实例对象
     */
    TabHaobanMenu queryById(String menuCode);

    /**
     * 新增数据
     *
     * @param tabHaobanMenu 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanMenu tabHaobanMenu);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanMenu> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabHaobanMenu> entities);

    /**
     * 修改数据
     *
     * @param tabHaobanMenu 实例对象
     * @return 影响行数
     */
    int update(TabHaobanMenu tabHaobanMenu);

    /**
     * 获取所有菜单
     *
     * @return {@link List }<{@link TabHaobanMenu }>
     * @author mozhu
     * @date 2022-09-07 09:54:05
     */
    List<TabHaobanMenu> getAllMenuList();
}

