package com.gic.haoban.manage.service.service.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanRole;
import com.gic.haoban.manage.service.pojo.bo.role.HaobanRoleBO;

import java.util.List;

/**
 * 好办小程序权限(TabHaobanRole)表服务接口
 *
 * @author mozhu
 * @since 2022-09-06 16:35:10
 */
public interface HaobanRoleService {

    /**
     * 通过ID查询单条数据
     *
     * @param roleId 主键
     * @return 实例对象
     */
    TabHaobanRole queryById(Long roleId);

    /**
     * 新增数据
     *
     * @param tabHaobanRole 实例对象
     * @return 实例对象
     */
    TabHaobanRole insert(TabHaobanRole tabHaobanRole);

    /**
     * 插入批量
     *
     * @param tabHaobanRoles 选项卡haoban作用
     * @return int
     * @author mozhu
     * @date 2022-09-07 14:04:38
     */
    int insertBatch(List<TabHaobanRole> tabHaobanRoles);

    /**
     * 修改数据
     *
     * @param tabHaobanRole 实例对象
     * @return 实例对象
     */
    TabHaobanRole update(TabHaobanRole tabHaobanRole);

    /**
     * 通过主键删除数据
     *
     * @param roleId 主键
     * @return 是否成功
     */
    boolean deleteById(Long roleId);

    /**
     * 根据类型查询企业的菜单权限
     *
     * @param enterpriseId   企业标识
     * @param wxEnterpriseId wx企业标识
     * @param clerkType      职员类型
     * @return {@link List }<{@link HaobanRoleBO }>
     * @author mozhu
     * @date 2022-09-07 14:08:19
     */
    List<HaobanRoleBO> getByEnterpriseIdAndClerkType(String enterpriseId, String wxEnterpriseId, Integer clerkType);


}
