package com.gic.haoban.manage.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.base.api.common.pojo.dto.WebLoginDTO;
import com.gic.haoban.common.utils.AuthWebRequestUtil;
import com.gic.haoban.manage.api.dto.qdto.role.HaobanRoleQDTO;
import com.gic.haoban.manage.api.dto.role.HaobanMenuDTO;
import com.gic.haoban.manage.api.service.role.HaobanMenuApiService;
import com.gic.haoban.manage.api.service.role.HaobanRoleApiService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author mozhu
 * @date 2022/9/7 3:03 下午
 */
@RestController
@RequestMapping("/role")
public class HaobanRoleController extends WebBaseController{

    private static final Logger logger = LoggerFactory.getLogger(HaobanRoleController.class);

    @Autowired
    private HaobanRoleApiService haobanRoleApiService;
    @Autowired
    private HaobanMenuApiService haobanMenuApiService;


    @RequestMapping(value = "/add",method = RequestMethod.POST)
    private RestResponse add(@RequestBody HaobanRoleQDTO haobanRoleQDTO) {
        WebLoginDTO login = AuthWebRequestUtil.getLoginUser();
        haobanRoleApiService.add(haobanRoleQDTO,login);
        return RestResponse.successResult();
    }


    @RequestMapping(value = "/edit",method = RequestMethod.POST)
    private RestResponse edit(@RequestBody HaobanRoleQDTO haobanRoleQDTO) {
        WebLoginDTO login = AuthWebRequestUtil.getLoginUser();
        return RestResponse.successResult(haobanRoleApiService.edit(haobanRoleQDTO,login));
    }


    @RequestMapping(value = "/queryMenuByClerkType",method = RequestMethod.GET)
    private RestResponse queryMenuByClerkType() {
        WebLoginDTO login = AuthWebRequestUtil.getLoginUser();

        return RestResponse.successResult();
    }


    @RequestMapping("/getMenuTreeList")
    private RestResponse<List<HaobanMenuDTO>> getMenuTreeList() {
        ServiceResponse<List<HaobanMenuDTO>> serviceMenuTreeList = haobanMenuApiService.getMenuTreeList();
        return RestResponse.successResult(serviceMenuTreeList.getResult());
    }

}
